export declare function capitalize(str: string): string;
export declare function lowercase(str: string): string;
declare const DEFAULT_PREFIX_SUFFIX_CHARACTERS: unknown;
export declare type Locale = string[] | string | false | undefined

export interface PascalCaseOptions extends CaseOptions {
  mergeAmbiguousCharacters?: boolean
}

export interface CaseOptions {
  locale?: Locale
  split?: (value: string) => string[]
  delimiter?: string
  prefixCharacters?: string
  suffixCharacters?: string
}
export declare function split(value: string): string[];
export declare function splitSeparateNumbers(value: string): string[];
export declare function noCase(input: string, options?: CaseOptions): string;
export declare function camelCase(input: string, options?: PascalCaseOptions): string;
export declare function pascalCase(input: string, options?: PascalCaseOptions): string;
export declare function pascalSnakeCase(input: string, options?: CaseOptions): string;
export declare function capitalCase(input: string, options?: CaseOptions): string;
export declare function constantCase(input: string, options?: CaseOptions): string;
export declare function dotCase(input: string, options?: CaseOptions): string;
export declare function kebabCase(input: string, options?: CaseOptions): string;
export declare function pathCase(input: string, options?: CaseOptions): string;
export declare function sentenceCase(input: string, options?: CaseOptions): string;
export declare function snakeCase(input: string, options?: CaseOptions): string;
export declare function trainCase(input: string, options?: CaseOptions): string;
export declare function paramCase(input: string, options?: CaseOptions): string;
declare function lowerFactory(locale: Locale): (input: string) => string;
declare function upperFactory(locale: Locale): (input: string) => string;
declare function capitalCaseTransformFactory(lower: (input: string)): void;
declare function pascalCaseTransformFactory(lower: (input: string)): void;
declare function splitPrefixSuffix(input: string, options: CaseOptions): [string, string[], string];